Перейти до основного вмісту
POST
/
adsl
/
extract
Extract the ADSL proxy list
curl --request POST \
  --url https://api.acedata.cloud/adsl/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isp": "电信",
  "city": "<string>",
  "type": "http",
  "dedup": false,
  "number": 1,
  "duration": 60,
  "province": "广东"
}
'
{
  "data": [
    {
      "ip": "36.25.122.184",
      "city": "",
      "port": 23456,
      "proxy": "36.25.122.184:23456",
      "province": "",
      "dialed_at": 1715879221.805,
      "expire_at": 1715879601.805,
      "outbound_ip": "36.25.122.184"
    }
  ],
  "success": true,
  "trace_id": "932f81e9-f78e-4321-9985-c3eeefd832e0"
}

Авторизації

Authorization
string
header
обов'язково

Заголовки

accept
enum<string>

Specifies the format of the response from the server.

Доступні опції:
application/json

Тіло

application/json
isp
enum<string>

The ISP of the adsl proxy, if not set, it will be random.

Доступні опції:
电信,
联通,
移动
city
string

The city of the adsl proxy, if not set, it will be random.

type
enum<string>

The type of the adsl proxy, default is http.

Доступні опції:
http,
socks
dedup
boolean

Whether to deduplicate the adsl proxy, default is false. Also even set to false, the rate of deduplication is still very low.

Приклад:

false

number
number

The number of the adsl proxy, default is 1.

Приклад:

1

duration
enum<number>

The effective duration of the adsl proxy, default is 60 seconds.

Доступні опції:
60,
180,
300
province
string

The province of the adsl proxy, if not set, it will be random.

Приклад:

"广东"

Відповідь

OK, the request is successful.

data
object

The output adsl proxy list

success
boolean

The flag indicates the request is successful or not